body {
    font-family: Arial, sans-serif;
    padding-top: 80px; /* Evita sobreposição da navbar */
}


    .dropdown-submenu {
        position: relative;
    }

    .dropdown-submenu .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -1px;
        margin-left: .125rem;
        display: none; /* Oculta o submenu inicialmente */
    }

    .dropdown-submenu:hover .dropdown-menu {
        display: block; /* Exibe o submenu ao passar o mouse */
    }

    .dropdown-submenu .dropdown-toggle::after {
        display: inline-block;
        margin-left: 0.255em;
        vertical-align: 0.255em;
        content: "";
        border-top: 0.3em solid;
        border-right: 0.3em solid transparent;
        border-bottom: 0;
        border-left: 0.3em solid transparent;
    }

/* Navbar */
.navbar {
    background-color: #343a40;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.navbar-nav .nav-item .nav-link {
    font-size: 1rem;
    font-weight: 500;
    padding: 10px 20px;
    text-transform: uppercase;
}

.navbar-nav .nav-link.active {
    border-bottom: 3px solid #1ea4b2; /* Destaque para o item ativo */
}



/* Ajustes no Carrinho */
.bi-cart {
    font-size: 1.2rem;
    margin-right: 5px;
}

#carrinho-contador {
    font-weight: bold;
    font-size: 1.1rem;
}

/* Botão de Chat */
.chat-icon {
    position: fixed;
    bottom: 90px; /* Evita sobreposição com WhatsApp */
    right: 20px;
    background-color: #007bff;
    color: white;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s;
}

.chat-icon:hover {
    background-color: #0056b3;
}

/* WhatsApp */
.whatsapp-icon {
    position: fixed;
    bottom: 0px;
    right: 10px;
    color: white;
    width: 150px;
    height:150px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    /*background-color: #1ea4b2;*/
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.whatsapp-icon:hover {
    transform: scale(1.1);
}

/* Balão de Notificação */
.notification-bubble {
    position: absolute;
    color: white;
    right: 20px;
    top: -100px;
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    background-color: #1ea4b2;
    margin: 0;
    padding: 5px;
    border-color: white ;
    border-radius: 10px;
    text-align: center;
}

/* Triângulo para criar a ponta do balão */
.notification-bubble::after {
    content: '';
    position: absolute;
    bottom: -20px;
    left: 50%;
    margin-left: 20px;
    border-width: 10px;
    border-style: solid;
    border-color: #1ea4b2 transparent transparent transparent;
}


/* Ícones das Redes Sociais */
.social-icon {
    font-size: 25px;
    color: white; /* Ajustado para navbar escura */
    text-decoration: none;
    transition: color 0.3s ease;
}

.social-icon:hover {
    color: #007bff;
}

.social-icon i {
    transition: transform 0.3s ease;
}

.social-icon:hover i {
    transform: scale(1.1);
}

/* Imagens Hover */
.image-container {
    position: relative;
}

.img-main {
    display: block;
    width: 100%;
    height: auto;
}

.img-hover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.image-container:hover .img-hover {
    opacity: 1;
}

.image-container:hover .img-main {
    opacity: 0;
}

/* Responsividade */
@media (max-width: 768px) {
    .social-links {
        margin-top: 10px;
    }
}


    /* Define o estilo para a imagem principal e de hover */
    .image-container {
        position: relative;
    }

    .img-main {
        display: block;
        width: 100%;
        height: auto;
    }

    .img-hover {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: auto;
        opacity: 0; /* Inicialmente invisível */
        transition: opacity 0.3s ease;
    }

    /* Quando o mouse passa sobre a imagem, a imagem de hover aparece */
    .image-container:hover .img-hover {
        opacity: 1; /* Torna a imagem de hover visível */
    }

    .image-container:hover .img-main {
        opacity: 0; /* Torna a imagem principal invisível */
    }


      /* Definindo o tamanho do mapa */
        #map {
            height: 400px; /* Altura do mapa */
            width: 100%;   /* Largura do mapa */
        }